Visualizza: Commutare la visibilità

From FreeCAD Documentation
Revision as of 20:53, 4 April 2023 by Marco T (talk | contribs)
Other languages:

Mostra/Nascondi

Posizione nel menu
Visualizza → Mostra/Nascondi
Ambiente
Tutti
Avvio veloce
Spazio
Introdotto nella versione
-
Vedere anche
Mostra la selezione, Nascondi la selezione, Commuta tutti gli oggetti, Mostra tutti gli oggetti, Nascondi tutti gli oggetti

Descrizione

Il comando Mostra/Nascondi alterna la visibilità degli oggetti selezionati nella Vista 3D.

Utilizzo

  1. Selezionare uno o più oggetti.
  2. Esistono diversi modi per invocare il comando:
    • Selezionare l'opzione Visualizza → Attiva/disattiva visibilità dal menu.
    • Selezionare l'opzione Visualizza → Visibilità → Attiva/disattiva visibilità dal menu.
    • Selezionare l'opzione Attiva/disattiva visibilità dal menu contestuale della vista ad albero. Questa opzione non è disponibile in PartDesign.
    • Selezionare l'opzione Attiva/disattiva visibilità dal menu contestuale della vista 3D.
    • Usare la scorciatoia da tastiera: Spazio.

Note

  • Invisible objects are displayed with a greyed out label and a greyed out icon in the Tree view.
  • Objects nested in a Std Part, or a Std Link to a Std Group, or a LinkGroup, and features of a PartDesign Body will only be visible in 3D views if their parent is visible as well. This means that a feature in a PartDesign Body that is nested in a Std Part will only be visible in 3D views if the feature itself, the PartDesign Body, and the Std Part are all visible. And if the Std Part is in turn nested in another Std Part, then that last object must also be visible.
  • If the visibility of a Std Group (or an object derived from it such as an Arch BuildingPart) is changed, the visibility of its nested objects will change accordingly. But their visibility can be changed independently as well.
  • The action of this command cannot be undone with Std Undo.
  • The visibility of an object can also be changed through its related DatiVisibility property in the Property editor or the Combo view.

Script

Vedere anche: Script di base per FreeCAD

Use the show and hide methods of an object to change its visibility.

import FreeCADGui

obj = FreeCADGui.ActiveDocument.myObjectName

if obj.Visibility == True:
  obj.hide()
else:
  obj.show()